INDEXTOOL(1)

NAME
indextool - Sphinxsearch tool dump miscellaneous debug information about the physical index.

SYNOPSIS

indextool {command} [options]

DESCRIPTION

Sphinx is a collection of programs that aim to provide high quality fulltext search.

indextool is one of the helper tools within the Sphinx package. It is used to dump miscellaneous debug information about the physical index. Apart ghe dumping indextool can perform index verification, hence the indextool name rather than just indexdump.

COMMANDS

The commands are as follows:

--dumpheader FILENAME.sph
    quickly dumps the provided index header file without touching any other index files or even the configuration file. The report provides a breakdown of all the index settings, in particular the entire attribute and field list. Prior to 0.9.9-rc2, this command was present in CLI search utility.

--dumpconfig FILENAME.sph
    dumps the index definition from the given index header file in (almost) compliant sphinx.conf file format.

--dumpheader INDEXNAME
    dumps index header by index name with looking up the header path in the configuration file.

--dumpdocids INDEXNAME
    dumps document IDs by index name. It takes the data from attribute (.spa) file and therefore requires docinfo=extern to work.

--dumphitlist INDEXNAME KEYWORD
    dumps all the hits (occurences) of a given keyword in a given index, with keyword specified as text.

--dumphitlist INDEXNAME --wordid ID
    dumps all the hits (occurences) of a given keyword in a given index, with keyword specified as internal numeric ID.

--htmlstrip INDEXNAME
    filters stdin using HTML stripper settings for a given index, and prints the filtering results to stdout. Note that the settings will be taken from sphinx.conf, and not the index header.

--check INDEXNAME
    checks the index data files for consistency errors that might be introduced either by bugs in indexer and/or hardware faults.

--strip-path
    strips the path names from all the file names referenced from the index (stopwords, wordforms, exceptions, etc). This is useful for checking indexes built on another machine with possibly different path layouts.

--optimize-rt-klists
    optimizes the kill list memory use in the disk chunk of a given RT index. That is a one-off optimization intended for rather old RT indexes, created by development versions prior to 1.10-beta release. As of 1.10-beta releases, this kill list optimization (purging) should happen automatically, and there should never be a need to use this option.

OPTIONS

The only currently available option applies to all commands and lets you specify the configuration file:

--config CONFIGFILE, -c CONFIGFILE
    overrides the built-in config file names.

AUTHOR

Andrey Aksenoff (shodan@sphinxsearch.com). This manual page is written by Alexey Vinogradov (klirichek@sphinxsearch.com). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

SEE ALSO

indexer(1), searchd(1), search(1)

Sphinx and it's programs are documented fully by the Sphinx reference manual available in /usr/share/doc/sphinxsearch.